Project

General

Profile

Bug #42581

Avatar?id=46365&size=50x50

Fix for jail IP format during validation

Added by hans Cappon almost 2 years ago. Updated almost 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Waqar Ahmed
Category:
Middleware
Target version:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I get this error when editing a jail via gui en when i save it.
Not sure if a bug or just missing correct error message

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 215, in do_update
for f in ('ip4_addr', 'ip6_addr') for ip in jail[f].split(',')
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 216, in <listcomp>
if ip != 'none'
IndexError: list index out of range
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 155, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1023, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 960, in call
return await self._call_worker(serviceobj, name, *args)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 987, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 918, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 912, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
IndexError: list index out of range

Associated revisions

Revision 933b770e (diff)
Added by Waqar Ahmed almost 2 years ago

Fix for jail ip format during validation This commit fixes a bug which caused an exception because of an ip format which wasn't being handled by the jail plugin. Support for that format is added in this commit. Ticket: #42581

Revision 69bd813f (diff)
Added by Waqar Ahmed almost 2 years ago

Fix for jail ip format during validation This commit fixes a bug which caused an exception because of an ip format which wasn't being handled by the jail plugin. Support for that format is added in this commit. Ticket: #42581

Revision 579841e4 (diff)
Added by Waqar Ahmed almost 2 years ago

Fix for failed ip validation This commit fixes a bug which when a jail was off with dhcp=on, raised a traceback when ip_in_use validator was used. Ticket: #42581

History

#1 Updated by Dru Lavigne almost 2 years ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Release Council to William Grzybowski

#2 Updated by William Grzybowski almost 2 years ago

  • Assignee changed from William Grzybowski to Brandon Schneider

Over to Brandon to investigate if this has already been fixed recently or its a new one.

#3 Updated by Brandon Schneider almost 2 years ago

  • Status changed from Unscreened to Not Started

#4 Updated by William Grzybowski almost 2 years ago

  • Assignee changed from Brandon Schneider to Waqar Ahmed

Load-balancing with Waqar.

#5 Updated by Waqar Ahmed almost 2 years ago

  • Status changed from Not Started to In Progress

#6 Updated by Waqar Ahmed almost 2 years ago

  • Severity changed from New to Medium

#7 Updated by Dru Lavigne almost 2 years ago

  • Target version changed from Backlog to 11.2-BETA3

#8 Updated by Bug Clerk almost 2 years ago

  • Status changed from In Progress to Ready for Testing

#9 Updated by Dru Lavigne almost 2 years ago

  • Subject changed from editing jails not working to Fix for jail IP format during validation
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#10 Updated by Dru Lavigne almost 2 years ago

  • File deleted (debug.tgz)

#12 Updated by Jeff Ervin almost 2 years ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Test Passes FreeNAS-11.2-MASTER-201808220903

Made multiple changes to the Jail I have set-up, received no error messages like the one referenced above.

#13 Updated by Dru Lavigne almost 2 years ago

  • Status changed from Passed Testing to Done

#14 Updated by Dale Stevens almost 2 years ago

31982

Not fixed. Still present in FreeNAS 11.2-BETA3.

Specifically, creating a new Plex plugin jail. Editing the IP address config (since it doesn't work out of the box, for some reason).

#15 Updated by Bug Clerk almost 2 years ago

  • Status changed from Done to In Progress

#16 Updated by William Grzybowski almost 2 years ago

  • Target version changed from 11.2-BETA3 to 11.2-RC1

#18 Updated by Waqar Ahmed almost 2 years ago

Dale Stevens wrote:

Not fixed. Still present in FreeNAS 11.2-BETA3.

Specifically, creating a new Plex plugin jail. Editing the IP address config (since it doesn't work out of the box, for some reason).

There was a case for the error you received and we are working on a fix which should be available in the coming nightlies. Apart from that, can you please elaborate editing the ip address config doesn't work out of the box ? Many thanks!

#19 Updated by Waqar Ahmed almost 2 years ago

  • Status changed from In Progress to Ready for Testing

#20 Updated by Waqar Ahmed almost 2 years ago

Waqar Ahmed wrote:

Dale Stevens wrote:

Not fixed. Still present in FreeNAS 11.2-BETA3.

Specifically, creating a new Plex plugin jail. Editing the IP address config (since it doesn't work out of the box, for some reason).

There was a case for the error you received and we are working on a fix which should be available in the coming nightlies. Apart from that, can you please elaborate editing the ip address config doesn't work out of the box ? Many thanks!

Dale, if you think there's any kind of issue with the plugin/jail which is not working, please feel free to make another ticket for this. Thank you

#21 Updated by Dru Lavigne almost 2 years ago

  • Needs QA changed from No to Yes

#22 Updated by Jeff Ervin almost 2 years ago

33059
33069
33079
33089
33099

Test Cases: A jail should be created with dhcp=on and ensured that after creation, it's down. Then a new jail should be created with dhcp=off and a valid ip address with interface should be provided while creating the new jail. There should be no traceback when this new jail is created. (Test/Test3 jails created per test case)

Both cases completed. No errors for either case

Test Passed FreeNAS-11.2-MASTER-201810020854

#23 Updated by Dru Lavigne almost 2 years ago

  • Status changed from Passed Testing to Done

Also available in: Atom PDF